import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';

import { AppRoutingModule } from './app-routing.module';
import { AppComponent } from './app.component';
import { MainLayoutComponent } from './layout/main-layout/main-layout.component';
import { FactoryOverviewComponent } from './pages/factory-overview/factory-overview.component';
import { DeviceMonitorComponent } from './pages/device-monitor/device-monitor.component';
import { DeviceManagementComponent } from './pages/device-management/device-management.component';
import { HistoricalDataComponent } from './pages/historical-data/historical-data.component';
import { SystemSettingsComponent } from './pages/system-settings/system-settings.component';

@NgModule({
  declarations: [
    
  ],
  imports: [
    BrowserModule,
    AppRoutingModule,
    AppComponent,
    MainLayoutComponent,
    FactoryOverviewComponent,
    DeviceMonitorComponent,
    DeviceManagementComponent,
    HistoricalDataComponent,
    SystemSettingsComponent
  ],
  providers: [],
  bootstrap: [AppComponent]
})
export class AppModule { }
