import { Component, ViewEncapsulation } from '@angular/core';
import { DatePipe } from '@angular/common';

@Component({
  standalone: true,
  selector: 'app-device-monitor',
  styleUrls: ['./device-monitor.css'],
  imports: [DatePipe],
  templateUrl: './device-monitor.component.html',
  encapsulation: ViewEncapsulation.None
})
export class DeviceMonitorComponent {
currentTime: Date = new Date();
   ngOnInit(): void {
    // 更新时间，每秒更新一次
    setInterval(() => {
      this.currentTime = new Date();
    }, 1000);

   }
}
