import { Component, ViewEncapsulation } from '@angular/core';
import { DatePipe } from '@angular/common';

@Component({
  standalone: true,
  selector: 'app-system-settings',
  styleUrls: ['./system-settings.css'],
  imports: [DatePipe],
  templateUrl: './system-settings.component.html',
  encapsulation: ViewEncapsulation.None
})
export class SystemSettingsComponent {
currentTime: Date = new Date();
   ngOnInit(): void {
    // 更新时间，每秒更新一次
    setInterval(() => {
      this.currentTime = new Date();
    }, 1000);

   }
}
